/**
 * This class handles alarm-specific methods. 
 * 
 * @author David Laurell <david.laurell@gmail.com>
 * 
 * Copyright 2008 David Laurell
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package game;

public class Alarm {
	private long start, end;
	private int time;
	private boolean active;
	
	public Alarm() {
		setTime(0);
		reset();
		active = false;
	}
	
	public void setTime(int time) {
		this.time = time;
	}
	
	public void start(int time) {
		setTime(time);
		reset();
		active = true;
	}
	
	public void reset() {
		start = System.currentTimeMillis();
		end = (long)(start + time);
	}
	
	public boolean isAlarm() {
		return active && end > System.currentTimeMillis();
	}
}
