/**
 * This is the class for an asteroid object in the game.
 * 
 * @author David Laurell <david.laurell@gmail.com>
 * 
 * Copyright 2008 David Laurell
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package gameobjects;
import org.newdawn.slick.svg.SimpleDiagramRenderer;

public class Asteroid extends GameObject {
	public static int SMALL = 2, MEDIUM = 1, LARGE = 0;
	
	public Asteroid(float x, float y, SimpleDiagramRenderer sprite, int size, int lvl) {
		this.x = x;
		this.y = y;
		this.size = size;
		this.sprite = sprite;
		
		direction = (float)Math.random() * 360;
		int left = (int)Math.random() * -2 + 1;
		
		if(size == Asteroid.SMALL) {
			radius = 16;
			setSpeed((float)(Math.random() * 50) + 40 + lvl * 10);
			rspeed = left * 0.2f;
		}
		else if(size == Asteroid.MEDIUM) {
			radius = 32;
			setSpeed((float)(Math.random() * 25) + 15 + lvl * 10);
			rspeed = left * 0.1f;
		}
		else {
			radius = 64;
			setSpeed((float)(Math.random() * 15) + lvl * 10);
			rspeed = left * 0.05f;
		}
	}
	
	public int getPoints() {
		if(size == Asteroid.SMALL)
			return 10;
		else if(size == Asteroid.MEDIUM)
			return 5;
		else
			return 1;
	}
}
