/**
 * This simple class initiates is used to locate a shot in the game.
 * 
 * @author David Laurell <david.laurell@gmail.com>
 * 
 * Copyright 2008 David Laurell
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package gameobjects;
import org.newdawn.slick.svg.SimpleDiagramRenderer;

public class Shot extends GameObject {
	public int damage = 10;
	public long created;
	
	public Shot(Player player, SimpleDiagramRenderer sprite) {
		this.radius = 8;
		this.direction = player.getDirection();
		float dx = (float)Math.cos(Math.toRadians((double)direction)) * (radius/2 + player.radius/2 + 10);
		float dy = (float)Math.sin(Math.toRadians((double)direction)) * (radius/2 + player.radius/2 + 10);
		this.x = player.getX() + dx;
		this.y = player.getY() + dy;
		this.sprite = sprite;
		setSpeed(500.0f);
		
		this.created = System.currentTimeMillis();
	}
}
